Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2536 - crontab has a hardcoded reference to /bin/vi
Summary: crontab has a hardcoded reference to /bin/vi
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-04 12:01 UTC by Thomas Zehetbauer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:02:52 UTC


Attachments (Terms of Use)

Description Thomas Zehetbauer 1999-05-04 12:01:50 UTC
crontab uses a hardcoded reference to /bin/vi as editor but
vi is /usr/bin/vi with the current VIM package.

Comment 1 Jeff Johnson 1999-05-04 14:34:59 UTC
Not true:

krusty 531 bash$ ls -al /bin/vi
-rwxr-xr-x   1 root     root       552808 Mar 25 17:40 /bin/vi*
krusty 532 bash$ rpm -qf /bin/vi
vim-minimal-5.3-7

A quick "strings -a /usr/bin/crontab" gives one hope that
EDITOR/VISUAL are honored also.


Note You need to log in before you can comment on or make changes to this bug.